# Changed by Makefile of cvs.
%define version 0.8.2
%define name rfbdrake

Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:        13mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}16.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}48.png.bz2
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Other
Requires:	drakxtools >= 1.1.5-97mdk, gtk+mdk, perl-GTK, perl-MDK-Common, perl-GTK-GdkImlib, expect , vnc, rfb
BuildRoot:	%{_tmppath}/%{name}-buildroot4

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} rfbdrake

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="rfbdrake.png" \
section="Networking/Remote access" \
title="Virtual Network Connection" \
longtitle="A remote frame buffer tool" \
command="/usr/X11R6/bin/rfbdrake"
EOF

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_prefix}/bin/*
%{_datadir}/rfbdrake
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sun Mar 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-13mdk
- po updates 
- cleanup

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-12mdk
- po updates

* Wed Feb 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-11mdk
- updated po's
- cleanup 

* Tue Feb  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-10mdk
- code update (rdesktop)
- po updates.
- png icons.

* Tue Jan 15 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-9mdk
- requires.
- in-lined help.
- xpm to png icons.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-8mdk
- new pixmaps
- add URL, WTS support
- add requires

* Mon Jan  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-7mdk
- no fullscreen by default 
- multiple access granted

* Thu Jan  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.8.2-6mdk
- code update
	o add fullscreen/shared mode
	o better sleep timing

* Tue Dec 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-5mdk
- add hosts history at connection.
- freeze.

* Fri Dec 14 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-4mdk
- code update.
- sleep to get password ready.

* Thu Dec 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-3mdk
- add authentification (DES).
- code update

* Wed Nov 28 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-2mdk
- code update
- add menu entry + icons

* Tue Nov 27 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-1mdk
- release.
- code update.


